/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy
* http://www.e-taxonomy.eu
*
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/
package eu.etaxonomy.taxeditor.printpublisher.wizard;

import eu.etaxonomy.cdm.print.PublishConfigurator;
import eu.etaxonomy.cdm.print.out.IPublishOutputModule;

/**
 * <p>DirectPublishingWizard class.</p>
 *
 * @author n.hoffmann
 * @created Aug 6, 2010
 */
public class DirectPublishingWizard extends AbstractPublishWizard {

	public DirectPublishingWizard(PublishConfigurator configurator) {
		setConfigurator(configurator);
		IPublishOutputModule module = configurator.getOutputModules().iterator().next();
		setOutputModule(module);
	}

	@Override
	public void addPages() {
		pageOptions = new SelectOptionsWizardPage(PAGE_OPTIONS);
		addPage(pageOptions);

		pageFeatureTree = new SelectFeatureTreeWizardPage(PAGE_FEATURETREE);
		addPage(pageFeatureTree);

		pageStylesheet = new SelectStylesheetWizardPage(PAGE_STYLESHEET);
		addPage(pageStylesheet);

		pageFolder = new SelectDirectoryWizardPage(PAGE_FOLDER);
		addPage(pageFolder);
	}

	@Override
	public boolean performFinish() {
		return super.performFinish();
	}

	@Override
    public boolean canFinish() {
		return pageFeatureTree.isPageComplete()
			&& pageFolder.isPageComplete();
	}
}